For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
      • GETList all Inquiries
      • POSTCreate an Inquiry
      • GETRetrieve an Inquiry
      • DELRedact an Inquiry
      • PATCHUpdate an Inquiry
      • POSTAdd tag to an Inquiry
      • POSTApprove an Inquiry
      • POSTDecline an Inquiry
      • POSTMark an Inquiry for manual review
      • POSTExpire an Inquiry
      • POSTGenerate a one-time link for an Inquiry
      • GETPrint Inquiry PDF
      • POSTRemove tag from an Inquiry
      • POSTResume an Inquiry
      • POSTSet tags on an Inquiry
      • POSTPerform Simulate Actions
      • PATCHSet Simulated Data
      • POSTSearch Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceInquiries

Approve an Inquiry

POST
https://api.withpersona.com/api/v1/inquiries/:inquiry-id/approve
POST
/api/v1/inquiries/:inquiry-id/approve
$curl -X POST https://api.withpersona.com/api/v1/inquiries/inquiry-id/approve \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "id": "inq_zEx4jL84ShbUyuwX6AzPSqt6",
4 "attributes": {
5 "status": "pending",
6 "reference-id": "abc-123",
7 "note": "A helpful note",
8 "behaviors": {},
9 "tags": [],
10 "creator": "creator@withpersona.com",
11 "reviewer-comment": "This is a comment for this inquiry!",
12 "created-at": "2023-03-29T19:06:45.000Z",
13 "updated-at": "2023-03-29T20:08:47.000Z",
14 "started-at": "2023-03-30T19:07:01.000Z",
15 "expires-at": "2023-03-31T19:07:01.000Z",
16 "completed-at": "2023-03-28T18:35:10.000Z",
17 "failed-at": "2023-03-28T18:35:10.000Z",
18 "marked-for-review-at": "2023-03-28T18:35:10.000Z",
19 "decisioned-at": "2023-03-28T18:35:10.000Z",
20 "expired-at": "2023-03-28T18:35:10.000Z",
21 "redacted-at": "2023-03-28T18:35:10.000Z",
22 "previous-step-name": "start",
23 "next-step-name": "verification_document",
24 "fields": {
25 "name-first": {
26 "type": "string",
27 "value": "Jane"
28 },
29 "name-middle": {
30 "type": "string",
31 "value": "Marie"
32 },
33 "name-last": {
34 "type": "string",
35 "value": "Doe"
36 },
37 "address-street-1": {
38 "type": "string",
39 "value": "123 Main St"
40 },
41 "address-street-2": {
42 "type": "string"
43 },
44 "address-city": {
45 "type": "string",
46 "value": "San Francisco"
47 },
48 "address-subdivision": {
49 "type": "string",
50 "value": "California"
51 },
52 "address-postal-code": {
53 "type": "string",
54 "value": "94111"
55 },
56 "address-country-code": {
57 "type": "string",
58 "value": "US"
59 },
60 "birthdate": {
61 "type": "date",
62 "value": "1995-09-08"
63 },
64 "email-address": {
65 "type": "string",
66 "value": "jane@doe.com"
67 },
68 "phone-number": {
69 "type": "string"
70 },
71 "identification-number": {
72 "type": "string"
73 }
74 }
75 },
76 "relationships": {
77 "account": {
78 "data": {
79 "id": "act_n2uq9eKMboaCQzu9ALWYcVdN",
80 "type": "account"
81 }
82 },
83 "documents": {
84 "data": []
85 },
86 "template": {
87 "data": {}
88 },
89 "inquiry-template": {
90 "data": {
91 "id": "itmpl_p8ANAJy9iqadm2buF2xcVgqH",
92 "type": "inquiry-template"
93 }
94 },
95 "inquiry-template-version": {
96 "data": {
97 "id": "itmplv_iXhqfNWqwYLAWs9G8Fm8hPfo",
98 "type": "inquiry-template-version"
99 }
100 },
101 "reports": {
102 "data": []
103 },
104 "transaction": {},
105 "reviewer": {
106 "data": {}
107 },
108 "selfies": {
109 "data": []
110 },
111 "sessions": {
112 "data": []
113 },
114 "verifications": {
115 "data": [
116 {
117 "id": "ver_uHDiwtcx3htjajvEaeMjPQcE",
118 "type": "verification/database"
119 }
120 ]
121 }
122 },
123 "type": "inquiry"
124 }
125}
Approves an Inquiry. Note that this action will trigger any associated workflows and webhooks. Approving an inquiry will prevent further progress on the inquiry.
Was this page helpful?
Previous

Decline an Inquiry

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inquiry-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Request

This endpoint expects an object.
metaobjectOptional

Response

This endpoint returns an Inquiry object and (optionally) its related objects in included.

dataobject
An Inquiry object
includedlist of objects

Objects that may be returned if specified via the include query parameter in the request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.